curl --request GET \
--url https://api.trysynch.com/Transaction/PaymentRequest/{paymentRequestId} \
--header 'Authorization: Bearer <token>'{
"externalPaymentRequestId": {
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"amount": {
"value": 123,
"currencyCode": {
"value": "<string>",
"displayName": "<string>",
"cultureName": "<string>"
}
},
"creationDate": {
"value": "2023-11-07T05:31:56Z"
},
"dueDate": {
"value": "2023-11-07T05:31:56Z"
},
"recipientName": "<string>",
"recipientAddress": {
"streetNumberAndName": "<string>",
"apartmentNumber": "<string>",
"city": "<string>",
"zipCode": "<string>",
"state": "<string>",
"country": "<string>"
},
"emailAddress": "<string>",
"contactPhoneNumber": "<string>",
"paymentType": "<string>",
"transferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transferStatus": "<string>",
"coveredFee": 123,
"attachments": [
{
"id": "<string>",
"name": "<string>",
"contentType": "<string>"
}
],
"debitAuth": {
"limit": 123
}
}curl --request GET \
--url https://api.trysynch.com/Transaction/PaymentRequest/{paymentRequestId} \
--header 'Authorization: Bearer <token>'{
"externalPaymentRequestId": {
"value": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
},
"amount": {
"value": 123,
"currencyCode": {
"value": "<string>",
"displayName": "<string>",
"cultureName": "<string>"
}
},
"creationDate": {
"value": "2023-11-07T05:31:56Z"
},
"dueDate": {
"value": "2023-11-07T05:31:56Z"
},
"recipientName": "<string>",
"recipientAddress": {
"streetNumberAndName": "<string>",
"apartmentNumber": "<string>",
"city": "<string>",
"zipCode": "<string>",
"state": "<string>",
"country": "<string>"
},
"emailAddress": "<string>",
"contactPhoneNumber": "<string>",
"paymentType": "<string>",
"transferId": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"transferStatus": "<string>",
"coveredFee": 123,
"attachments": [
{
"id": "<string>",
"name": "<string>",
"contentType": "<string>"
}
],
"debitAuth": {
"limit": 123
}
}JWT Authorization header using the Bearer scheme.
Use /auth/token to obtain access token.
Enter 'Bearer' [space] and then your token in the text input below.
Example: 'Bearer eyJhbGci...'
OK
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Show child attributes
Was this page helpful?